SBUILD-CHECKPACKAGES(1)

NAME
sbuild-checkpackages - check the package list in a sbuild chroot against a reference list

SYNOPSIS
sbuild-checkpackages [-h|--help | -V|--version | -l|--list | -s|--set] CHROOT

DESCRIPTION
sbuild-checkpackages compares the package list in an sbuild chroot (dpkg status file) against a reference list of packages. The differences between the two lists are displayed, showing the changes to remove and install in order to return the chroot to match the reference list.

The reference list may be set from the dpkg status file; this must be done initially in order to have a baseline reference for comparison. The chroot should only include essential and build-essential packages, plus the extra packages that sbuild needs such as fakeroot.

OPTIONS

  Actions

-h, --help
    Display this manual.

-V, --version
    Print version information.

-l, --list
    List the differences between the installed packages and the reference file.

-s, --set
    Set the reference file from the currently installed package list.

  Chroot selection

CHROOT
    The chroot to use. Note that ‘o’, ‘s’, ‘t’, ‘u’ and ‘e’ may be used as abbreviations for ‘oldstable’, ‘stable’, ‘testing’, ‘unstable’ and ‘experimental’, respectively.

EXAMPLES
To set the reference file in the unstable chroot:

% sbuild-checkpackages unstable --set

To show the differences in the unstable chroot:

% sbuild-checkpackages unstable --list

AUTHORS
Roger Leigh.

COPYRIGHT
Copyright © 2006–2008 Roger Leigh <rleigh@debian.org>.

SEE ALSO
sbuild(1).